Bug 126721 - [RHEL3U2]:function arch_get_unmapped_area is not optimized on x86-64
[RHEL3U2]:function arch_get_unmapped_area is not optimized on x86-64
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-06-25 05:56 EDT by Zhang Yanmin
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:23:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Optimize function arch_get_unmapped_area on x86-64 (3.00 KB, patch)
2004-06-25 05:58 EDT, Zhang Yanmin
no flags Details | Diff

  None (edit)
Description Zhang Yanmin 2004-06-25 05:56:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
function arch_get_unmapped_area is optimized on IA64/i386, but not 
optimized on x86-64. We tested SPECwebSSL and found that the 
peroformance can be improved for about 4% after optimizing this 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run SPECwebSSL on a Nocona machine
2.Apply our patch, then rerun SPECwebSSL
3.Compare the 2 results

Actual Results:  4% improvement

Additional info:
Comment 1 Zhang Yanmin 2004-06-25 05:58:22 EDT
Created attachment 101401 [details]
Optimize function arch_get_unmapped_area on x86-64
Comment 3 Red Hat Bugzilla 2007-03-18 18:22:17 EDT
User jparadis@redhat.com's account has been closed
Comment 4 RHEL Product and Program Management 2007-10-19 15:23:25 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.